Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
25c0::/12
First address
25c0::
Last address
25cf:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
25c0:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
c.5.2.ip6.arpa
Split into smaller subnets/24

25c0::/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
125c0::/2425c0:ff:ffff:ffff:ffff:ffff:ffff:ffff
225c0:100::/2425c0:1ff:ffff:ffff:ffff:ffff:ffff:ffff
325c0:200::/2425c0:2ff:ffff:ffff:ffff:ffff:ffff:ffff
425c0:300::/2425c0:3ff:ffff:ffff:ffff:ffff:ffff:ffff
525c0:400::/2425c0:4ff:ffff:ffff:ffff:ffff:ffff:ffff
625c0:500::/2425c0:5ff:ffff:ffff:ffff:ffff:ffff:ffff
725c0:600::/2425c0:6ff:ffff:ffff:ffff:ffff:ffff:ffff
825c0:700::/2425c0:7ff:ffff:ffff:ffff:ffff:ffff:ffff
925c0:800::/2425c0:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1025c0:900::/2425c0:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1125c0:a00::/2425c0:aff:ffff:ffff:ffff:ffff:ffff:ffff
1225c0:b00::/2425c0:bff:ffff:ffff:ffff:ffff:ffff:ffff
1325c0:c00::/2425c0:cff:ffff:ffff:ffff:ffff:ffff:ffff
1425c0:d00::/2425c0:dff:ffff:ffff:ffff:ffff:ffff:ffff
1525c0:e00::/2425c0:eff:ffff:ffff:ffff:ffff:ffff:ffff
1625c0:f00::/2425c0:fff:ffff:ffff:ffff:ffff:ffff:ffff
1725c0:1000::/2425c0:10ff:ffff:ffff:ffff:ffff:ffff:ffff
1825c0:1100::/2425c0:11ff:ffff:ffff:ffff:ffff:ffff:ffff
1925c0:1200::/2425c0:12ff:ffff:ffff:ffff:ffff:ffff:ffff
2025c0:1300::/2425c0:13ff:ffff:ffff:ffff:ffff:ffff:ffff
2125c0:1400::/2425c0:14ff:ffff:ffff:ffff:ffff:ffff:ffff
2225c0:1500::/2425c0:15ff:ffff:ffff:ffff:ffff:ffff:ffff
2325c0:1600::/2425c0:16ff:ffff:ffff:ffff:ffff:ffff:ffff
2425c0:1700::/2425c0:17ff:ffff:ffff:ffff:ffff:ffff:ffff
2525c0:1800::/2425c0:18ff:ffff:ffff:ffff:ffff:ffff:ffff
2625c0:1900::/2425c0:19ff:ffff:ffff:ffff:ffff:ffff:ffff
2725c0:1a00::/2425c0:1aff:ffff:ffff:ffff:ffff:ffff:ffff
2825c0:1b00::/2425c0:1bff:ffff:ffff:ffff:ffff:ffff:ffff
2925c0:1c00::/2425c0:1cff:ffff:ffff:ffff:ffff:ffff:ffff
3025c0:1d00::/2425c0:1dff:ffff:ffff:ffff:ffff:ffff:ffff
3125c0:1e00::/2425c0:1eff:ffff:ffff:ffff:ffff:ffff:ffff
3225c0:1f00::/2425c0:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3325c0:2000::/2425c0:20ff:ffff:ffff:ffff:ffff:ffff:ffff
3425c0:2100::/2425c0:21ff:ffff:ffff:ffff:ffff:ffff:ffff
3525c0:2200::/2425c0:22ff:ffff:ffff:ffff:ffff:ffff:ffff
3625c0:2300::/2425c0:23ff:ffff:ffff:ffff:ffff:ffff:ffff
3725c0:2400::/2425c0:24ff:ffff:ffff:ffff:ffff:ffff:ffff
3825c0:2500::/2425c0:25ff:ffff:ffff:ffff:ffff:ffff:ffff
3925c0:2600::/2425c0:26ff:ffff:ffff:ffff:ffff:ffff:ffff
4025c0:2700::/2425c0:27ff:ffff:ffff:ffff:ffff:ffff:ffff
4125c0:2800::/2425c0:28ff:ffff:ffff:ffff:ffff:ffff:ffff
4225c0:2900::/2425c0:29ff:ffff:ffff:ffff:ffff:ffff:ffff
4325c0:2a00::/2425c0:2aff:ffff:ffff:ffff:ffff:ffff:ffff
4425c0:2b00::/2425c0:2bff:ffff:ffff:ffff:ffff:ffff:ffff
4525c0:2c00::/2425c0:2cff:ffff:ffff:ffff:ffff:ffff:ffff
4625c0:2d00::/2425c0:2dff:ffff:ffff:ffff:ffff:ffff:ffff
4725c0:2e00::/2425c0:2eff:ffff:ffff:ffff:ffff:ffff:ffff
4825c0:2f00::/2425c0:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4925c0:3000::/2425c0:30ff:ffff:ffff:ffff:ffff:ffff:ffff
5025c0:3100::/2425c0:31ff:ffff:ffff:ffff:ffff:ffff:ffff
5125c0:3200::/2425c0:32ff:ffff:ffff:ffff:ffff:ffff:ffff
5225c0:3300::/2425c0:33ff:ffff:ffff:ffff:ffff:ffff:ffff
5325c0:3400::/2425c0:34ff:ffff:ffff:ffff:ffff:ffff:ffff
5425c0:3500::/2425c0:35ff:ffff:ffff:ffff:ffff:ffff:ffff
5525c0:3600::/2425c0:36ff:ffff:ffff:ffff:ffff:ffff:ffff
5625c0:3700::/2425c0:37ff:ffff:ffff:ffff:ffff:ffff:ffff
5725c0:3800::/2425c0:38ff:ffff:ffff:ffff:ffff:ffff:ffff
5825c0:3900::/2425c0:39ff:ffff:ffff:ffff:ffff:ffff:ffff
5925c0:3a00::/2425c0:3aff:ffff:ffff:ffff:ffff:ffff:ffff
6025c0:3b00::/2425c0:3bff:ffff:ffff:ffff:ffff:ffff:ffff
6125c0:3c00::/2425c0:3cff:ffff:ffff:ffff:ffff:ffff:ffff
6225c0:3d00::/2425c0:3dff:ffff:ffff:ffff:ffff:ffff:ffff
6325c0:3e00::/2425c0:3eff:ffff:ffff:ffff:ffff:ffff:ffff
6425c0:3f00::/2425c0:3fff:ffff:ffff:ffff:ffff:ffff:ffff
6525c0:4000::/2425c0:40ff:ffff:ffff:ffff:ffff:ffff:ffff
6625c0:4100::/2425c0:41ff:ffff:ffff:ffff:ffff:ffff:ffff
6725c0:4200::/2425c0:42ff:ffff:ffff:ffff:ffff:ffff:ffff
6825c0:4300::/2425c0:43ff:ffff:ffff:ffff:ffff:ffff:ffff
6925c0:4400::/2425c0:44ff:ffff:ffff:ffff:ffff:ffff:ffff
7025c0:4500::/2425c0:45ff:ffff:ffff:ffff:ffff:ffff:ffff
7125c0:4600::/2425c0:46ff:ffff:ffff:ffff:ffff:ffff:ffff
7225c0:4700::/2425c0:47ff:ffff:ffff:ffff:ffff:ffff:ffff
7325c0:4800::/2425c0:48ff:ffff:ffff:ffff:ffff:ffff:ffff
7425c0:4900::/2425c0:49ff:ffff:ffff:ffff:ffff:ffff:ffff
7525c0:4a00::/2425c0:4aff:ffff:ffff:ffff:ffff:ffff:ffff
7625c0:4b00::/2425c0:4bff:ffff:ffff:ffff:ffff:ffff:ffff
7725c0:4c00::/2425c0:4cff:ffff:ffff:ffff:ffff:ffff:ffff
7825c0:4d00::/2425c0:4dff:ffff:ffff:ffff:ffff:ffff:ffff
7925c0:4e00::/2425c0:4eff:ffff:ffff:ffff:ffff:ffff:ffff
8025c0:4f00::/2425c0:4fff:ffff:ffff:ffff:ffff:ffff:ffff
8125c0:5000::/2425c0:50ff:ffff:ffff:ffff:ffff:ffff:ffff
8225c0:5100::/2425c0:51ff:ffff:ffff:ffff:ffff:ffff:ffff
8325c0:5200::/2425c0:52ff:ffff:ffff:ffff:ffff:ffff:ffff
8425c0:5300::/2425c0:53ff:ffff:ffff:ffff:ffff:ffff:ffff
8525c0:5400::/2425c0:54ff:ffff:ffff:ffff:ffff:ffff:ffff
8625c0:5500::/2425c0:55ff:ffff:ffff:ffff:ffff:ffff:ffff
8725c0:5600::/2425c0:56ff:ffff:ffff:ffff:ffff:ffff:ffff
8825c0:5700::/2425c0:57ff:ffff:ffff:ffff:ffff:ffff:ffff
8925c0:5800::/2425c0:58ff:ffff:ffff:ffff:ffff:ffff:ffff
9025c0:5900::/2425c0:59ff:ffff:ffff:ffff:ffff:ffff:ffff
9125c0:5a00::/2425c0:5aff:ffff:ffff:ffff:ffff:ffff:ffff
9225c0:5b00::/2425c0:5bff:ffff:ffff:ffff:ffff:ffff:ffff
9325c0:5c00::/2425c0:5cff:ffff:ffff:ffff:ffff:ffff:ffff
9425c0:5d00::/2425c0:5dff:ffff:ffff:ffff:ffff:ffff:ffff
9525c0:5e00::/2425c0:5eff:ffff:ffff:ffff:ffff:ffff:ffff
9625c0:5f00::/2425c0:5fff:ffff:ffff:ffff:ffff:ffff:ffff
9725c0:6000::/2425c0:60ff:ffff:ffff:ffff:ffff:ffff:ffff
9825c0:6100::/2425c0:61ff:ffff:ffff:ffff:ffff:ffff:ffff
9925c0:6200::/2425c0:62ff:ffff:ffff:ffff:ffff:ffff:ffff
10025c0:6300::/2425c0:63ff:ffff:ffff:ffff:ffff:ffff:ffff
10125c0:6400::/2425c0:64ff:ffff:ffff:ffff:ffff:ffff:ffff
10225c0:6500::/2425c0:65ff:ffff:ffff:ffff:ffff:ffff:ffff
10325c0:6600::/2425c0:66ff:ffff:ffff:ffff:ffff:ffff:ffff
10425c0:6700::/2425c0:67ff:ffff:ffff:ffff:ffff:ffff:ffff
10525c0:6800::/2425c0:68ff:ffff:ffff:ffff:ffff:ffff:ffff
10625c0:6900::/2425c0:69ff:ffff:ffff:ffff:ffff:ffff:ffff
10725c0:6a00::/2425c0:6aff:ffff:ffff:ffff:ffff:ffff:ffff
10825c0:6b00::/2425c0:6bff:ffff:ffff:ffff:ffff:ffff:ffff
10925c0:6c00::/2425c0:6cff:ffff:ffff:ffff:ffff:ffff:ffff
11025c0:6d00::/2425c0:6dff:ffff:ffff:ffff:ffff:ffff:ffff
11125c0:6e00::/2425c0:6eff:ffff:ffff:ffff:ffff:ffff:ffff
11225c0:6f00::/2425c0:6fff:ffff:ffff:ffff:ffff:ffff:ffff
11325c0:7000::/2425c0:70ff:ffff:ffff:ffff:ffff:ffff:ffff
11425c0:7100::/2425c0:71ff:ffff:ffff:ffff:ffff:ffff:ffff
11525c0:7200::/2425c0:72ff:ffff:ffff:ffff:ffff:ffff:ffff
11625c0:7300::/2425c0:73ff:ffff:ffff:ffff:ffff:ffff:ffff
11725c0:7400::/2425c0:74ff:ffff:ffff:ffff:ffff:ffff:ffff
11825c0:7500::/2425c0:75ff:ffff:ffff:ffff:ffff:ffff:ffff
11925c0:7600::/2425c0:76ff:ffff:ffff:ffff:ffff:ffff:ffff
12025c0:7700::/2425c0:77ff:ffff:ffff:ffff:ffff:ffff:ffff
12125c0:7800::/2425c0:78ff:ffff:ffff:ffff:ffff:ffff:ffff
12225c0:7900::/2425c0:79ff:ffff:ffff:ffff:ffff:ffff:ffff
12325c0:7a00::/2425c0:7aff:ffff:ffff:ffff:ffff:ffff:ffff
12425c0:7b00::/2425c0:7bff:ffff:ffff:ffff:ffff:ffff:ffff
12525c0:7c00::/2425c0:7cff:ffff:ffff:ffff:ffff:ffff:ffff
12625c0:7d00::/2425c0:7dff:ffff:ffff:ffff:ffff:ffff:ffff
12725c0:7e00::/2425c0:7eff:ffff:ffff:ffff:ffff:ffff:ffff
12825c0:7f00::/2425c0:7fff:ffff:ffff:ffff:ffff:ffff:ffff
12925c0:8000::/2425c0:80ff:ffff:ffff:ffff:ffff:ffff:ffff
13025c0:8100::/2425c0:81ff:ffff:ffff:ffff:ffff:ffff:ffff
13125c0:8200::/2425c0:82ff:ffff:ffff:ffff:ffff:ffff:ffff
13225c0:8300::/2425c0:83ff:ffff:ffff:ffff:ffff:ffff:ffff
13325c0:8400::/2425c0:84ff:ffff:ffff:ffff:ffff:ffff:ffff
13425c0:8500::/2425c0:85ff:ffff:ffff:ffff:ffff:ffff:ffff
13525c0:8600::/2425c0:86ff:ffff:ffff:ffff:ffff:ffff:ffff
13625c0:8700::/2425c0:87ff:ffff:ffff:ffff:ffff:ffff:ffff
13725c0:8800::/2425c0:88ff:ffff:ffff:ffff:ffff:ffff:ffff
13825c0:8900::/2425c0:89ff:ffff:ffff:ffff:ffff:ffff:ffff
13925c0:8a00::/2425c0:8aff:ffff:ffff:ffff:ffff:ffff:ffff
14025c0:8b00::/2425c0:8bff:ffff:ffff:ffff:ffff:ffff:ffff
14125c0:8c00::/2425c0:8cff:ffff:ffff:ffff:ffff:ffff:ffff
14225c0:8d00::/2425c0:8dff:ffff:ffff:ffff:ffff:ffff:ffff
14325c0:8e00::/2425c0:8eff:ffff:ffff:ffff:ffff:ffff:ffff
14425c0:8f00::/2425c0:8fff:ffff:ffff:ffff:ffff:ffff:ffff
14525c0:9000::/2425c0:90ff:ffff:ffff:ffff:ffff:ffff:ffff
14625c0:9100::/2425c0:91ff:ffff:ffff:ffff:ffff:ffff:ffff
14725c0:9200::/2425c0:92ff:ffff:ffff:ffff:ffff:ffff:ffff
14825c0:9300::/2425c0:93ff:ffff:ffff:ffff:ffff:ffff:ffff
14925c0:9400::/2425c0:94ff:ffff:ffff:ffff:ffff:ffff:ffff
15025c0:9500::/2425c0:95ff:ffff:ffff:ffff:ffff:ffff:ffff
15125c0:9600::/2425c0:96ff:ffff:ffff:ffff:ffff:ffff:ffff
15225c0:9700::/2425c0:97ff:ffff:ffff:ffff:ffff:ffff:ffff
15325c0:9800::/2425c0:98ff:ffff:ffff:ffff:ffff:ffff:ffff
15425c0:9900::/2425c0:99ff:ffff:ffff:ffff:ffff:ffff:ffff
15525c0:9a00::/2425c0:9aff:ffff:ffff:ffff:ffff:ffff:ffff
15625c0:9b00::/2425c0:9bff:ffff:ffff:ffff:ffff:ffff:ffff
15725c0:9c00::/2425c0:9cff:ffff:ffff:ffff:ffff:ffff:ffff
15825c0:9d00::/2425c0:9dff:ffff:ffff:ffff:ffff:ffff:ffff
15925c0:9e00::/2425c0:9eff:ffff:ffff:ffff:ffff:ffff:ffff
16025c0:9f00::/2425c0:9fff:ffff:ffff:ffff:ffff:ffff:ffff
16125c0:a000::/2425c0:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
16225c0:a100::/2425c0:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
16325c0:a200::/2425c0:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
16425c0:a300::/2425c0:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
16525c0:a400::/2425c0:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
16625c0:a500::/2425c0:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
16725c0:a600::/2425c0:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
16825c0:a700::/2425c0:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
16925c0:a800::/2425c0:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
17025c0:a900::/2425c0:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
17125c0:aa00::/2425c0:aaff:ffff:ffff:ffff:ffff:ffff:ffff
17225c0:ab00::/2425c0:abff:ffff:ffff:ffff:ffff:ffff:ffff
17325c0:ac00::/2425c0:acff:ffff:ffff:ffff:ffff:ffff:ffff
17425c0:ad00::/2425c0:adff:ffff:ffff:ffff:ffff:ffff:ffff
17525c0:ae00::/2425c0:aeff:ffff:ffff:ffff:ffff:ffff:ffff
17625c0:af00::/2425c0:afff:ffff:ffff:ffff:ffff:ffff:ffff
17725c0:b000::/2425c0:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
17825c0:b100::/2425c0:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
17925c0:b200::/2425c0:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
18025c0:b300::/2425c0:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
18125c0:b400::/2425c0:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
18225c0:b500::/2425c0:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
18325c0:b600::/2425c0:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
18425c0:b700::/2425c0:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
18525c0:b800::/2425c0:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
18625c0:b900::/2425c0:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
18725c0:ba00::/2425c0:baff:ffff:ffff:ffff:ffff:ffff:ffff
18825c0:bb00::/2425c0:bbff:ffff:ffff:ffff:ffff:ffff:ffff
18925c0:bc00::/2425c0:bcff:ffff:ffff:ffff:ffff:ffff:ffff
19025c0:bd00::/2425c0:bdff:ffff:ffff:ffff:ffff:ffff:ffff
19125c0:be00::/2425c0:beff:ffff:ffff:ffff:ffff:ffff:ffff
19225c0:bf00::/2425c0:bfff:ffff:ffff:ffff:ffff:ffff:ffff
19325c0:c000::/2425c0:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
19425c0:c100::/2425c0:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
19525c0:c200::/2425c0:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
19625c0:c300::/2425c0:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
19725c0:c400::/2425c0:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
19825c0:c500::/2425c0:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
19925c0:c600::/2425c0:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
20025c0:c700::/2425c0:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
20125c0:c800::/2425c0:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
20225c0:c900::/2425c0:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
20325c0:ca00::/2425c0:caff:ffff:ffff:ffff:ffff:ffff:ffff
20425c0:cb00::/2425c0:cbff:ffff:ffff:ffff:ffff:ffff:ffff
20525c0:cc00::/2425c0:ccff:ffff:ffff:ffff:ffff:ffff:ffff
20625c0:cd00::/2425c0:cdff:ffff:ffff:ffff:ffff:ffff:ffff
20725c0:ce00::/2425c0:ceff:ffff:ffff:ffff:ffff:ffff:ffff
20825c0:cf00::/2425c0:cfff:ffff:ffff:ffff:ffff:ffff:ffff
20925c0:d000::/2425c0:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
21025c0:d100::/2425c0:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
21125c0:d200::/2425c0:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
21225c0:d300::/2425c0:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
21325c0:d400::/2425c0:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
21425c0:d500::/2425c0:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
21525c0:d600::/2425c0:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
21625c0:d700::/2425c0:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
21725c0:d800::/2425c0:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
21825c0:d900::/2425c0:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
21925c0:da00::/2425c0:daff:ffff:ffff:ffff:ffff:ffff:ffff
22025c0:db00::/2425c0:dbff:ffff:ffff:ffff:ffff:ffff:ffff
22125c0:dc00::/2425c0:dcff:ffff:ffff:ffff:ffff:ffff:ffff
22225c0:dd00::/2425c0:ddff:ffff:ffff:ffff:ffff:ffff:ffff
22325c0:de00::/2425c0:deff:ffff:ffff:ffff:ffff:ffff:ffff
22425c0:df00::/2425c0:dfff:ffff:ffff:ffff:ffff:ffff:ffff
22525c0:e000::/2425c0:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
22625c0:e100::/2425c0:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
22725c0:e200::/2425c0:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
22825c0:e300::/2425c0:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
22925c0:e400::/2425c0:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
23025c0:e500::/2425c0:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
23125c0:e600::/2425c0:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
23225c0:e700::/2425c0:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
23325c0:e800::/2425c0:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
23425c0:e900::/2425c0:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
23525c0:ea00::/2425c0:eaff:ffff:ffff:ffff:ffff:ffff:ffff
23625c0:eb00::/2425c0:ebff:ffff:ffff:ffff:ffff:ffff:ffff
23725c0:ec00::/2425c0:ecff:ffff:ffff:ffff:ffff:ffff:ffff
23825c0:ed00::/2425c0:edff:ffff:ffff:ffff:ffff:ffff:ffff
23925c0:ee00::/2425c0:eeff:ffff:ffff:ffff:ffff:ffff:ffff
24025c0:ef00::/2425c0:efff:ffff:ffff:ffff:ffff:ffff:ffff
24125c0:f000::/2425c0:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
24225c0:f100::/2425c0:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
24325c0:f200::/2425c0:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
24425c0:f300::/2425c0:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
24525c0:f400::/2425c0:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
24625c0:f500::/2425c0:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
24725c0:f600::/2425c0:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
24825c0:f700::/2425c0:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
24925c0:f800::/2425c0:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
25025c0:f900::/2425c0:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
25125c0:fa00::/2425c0:faff:ffff:ffff:ffff:ffff:ffff:ffff
25225c0:fb00::/2425c0:fbff:ffff:ffff:ffff:ffff:ffff:ffff
25325c0:fc00::/2425c0:fcff:ffff:ffff:ffff:ffff:ffff:ffff
25425c0:fd00::/2425c0:fdff:ffff:ffff:ffff:ffff:ffff:ffff
25525c0:fe00::/2425c0:feff:ffff:ffff:ffff:ffff:ffff:ffff
25625c0:ff00::/2425c0:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses